GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "17f330d6-c3a4-4bcc-aefb-8a32a18f3d8e",
"selected_nameplate_id": "246a77a7-6fb8-47cc-b4c3-e2a41bde464a",
"active": true,
"contract_id": "0d596172-61ec-4ccb-8a2e-27f5f10a7921",
"id": "502c4e95-fd12-4609-8f5a-970225692e2f",
"physical_item_id": "1abb705f-2a2e-42d1-bfec-51d237b745ca",
"service_item_id": "4db1a4e0-6c2d-4c7f-a5b0-cea327cf13e9",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>0d596172-61ec-4ccb-8a2e-27f5f10a7921</contract_id>
<id>502c4e95-fd12-4609-8f5a-970225692e2f</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>1abb705f-2a2e-42d1-bfec-51d237b745ca</physical_item_id>
<quantity>1</quantity>
<service_item_id>4db1a4e0-6c2d-4c7f-a5b0-cea327cf13e9</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>246a77a7-6fb8-47cc-b4c3-e2a41bde464a</selected_nameplate_id>
<selected_sticker_id>17f330d6-c3a4-4bcc-aefb-8a32a18f3d8e</selected_sticker_id>
</contract_item>